Bug 313726 - kgpg fails to add new user id to key, no error message
Summary: kgpg fails to add new user id to key, no error message
Status: RESOLVED FIXED
Alias: None
Product: kgpg
Classification: Applications
Component: general (show other bugs)
Version: 2.9.1
Platform: Ubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Rolf Eike Beer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-23 02:18 UTC by Mathieu Jobin
Modified: 2013-10-30 21:09 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.11.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Jobin 2013-01-23 02:18:07 UTC
adding a photo, adding a anything.
the kgpg main window never updates... I need to Quit kgpg entirely and reopen to see any of my changes.



Reproducible: Always
Comment 1 Rolf Eike Beer 2013-01-23 07:09:47 UTC
You never need to quit KGpg for refreshing, pressing F5 should be enough. But it should of course work automatically. Which version are you using?
Comment 2 Christoph Feck 2013-01-29 23:54:04 UTC
If you can provide the information requested in comment #1, please add it.
Comment 3 Mathieu Jobin 2013-08-11 01:05:59 UTC
Currently using kgpg 2.9.97 in KDE 4.10.97

I right click on my own key, then clicked "Add user id"

enter my name and new email for that key.

kgpg requested my passphrase.
which I entered, click OK. and then...

no error, no confirmation. no screen update.

pressing F5 does not refresh anything to my eye..

maybe I am mistaken and this is not a refresh problem but write operation fails to provide a useful error message?

I can't make changes to my own key...
Comment 4 Mathieu Jobin 2013-08-11 01:20:02 UTC
OK, maybe I should create a new bug, I dont know.
refresh works, deleting a User Id from my key works.
took a little bit of time, but it did refresh...

adding a new user id to my key though, does not work... 

will launch kgpg from the console and see if there is anything relevant on stdout...
Comment 5 Mathieu Jobin 2013-08-11 01:22:18 UTC
strangely, it does not ask my key passphrase to delete a user id from my key.
while it ask it to add a new user id, it won't add it... ;(
Comment 6 Rolf Eike Beer 2013-08-11 07:16:09 UTC
There are 3 problems:

-Adding a uid currently has a syntax problem in the transaction, which can be easily solved.
-It still doesn't work afterwards.
-When deleting a uid the key is not refreshed, which probably will also affect adding.

I'll look into these, but besides the first point it's nothing that is just obviously wrong.
Comment 7 Mathieu Jobin 2013-08-17 01:40:54 UTC
thank you
Comment 8 Rolf Eike Beer 2013-10-08 14:06:02 UTC
Git commit 4cfffc8c6c58ff6ee4bfd2a92e20657f65450d11 by Rolf Eike Beer.
Committed on 08/10/2013 at 14:02.
Pushed by dakon into branch 'KDE/4.11'.

fix keys not being refreshed if a user id is deleted from it

M  +7    -3    keysmanager.cpp

http://commits.kde.org/kgpg/4cfffc8c6c58ff6ee4bfd2a92e20657f65450d11
Comment 9 Rolf Eike Beer 2013-10-30 21:09:45 UTC
Git commit 792a84c103f685bd12e4f5fcd60cb07c97cd29e6 by Rolf Eike Beer.
Committed on 30/10/2013 at 21:02.
Pushed by dakon into branch 'KDE/4.11'.

fix adding userids
FIXED-IN:4.11.3

M  +1    -3    transactions/kgpgadduid.cpp

http://commits.kde.org/kgpg/792a84c103f685bd12e4f5fcd60cb07c97cd29e6